Subject: Re: xinted rsync bluescreen
From: Dan Holmsand <[email-masked]>
To: [email-masked]
Date: Mon, 13 Jan 2003 20:24:18 +0100

Pierre,

Pierre A. Humblet wrote:
> AFAICT the handle is opened when starting cygwin and is inherited by
> child processes. It is used in a WaitForSingleObject call.
> The purpose is to rescan /etc/{passwd,goup} after changes.
> It's unlikely to be a coincidence, given the previous e-mails!

That's extremely interresting.

> Good questions! Perhaps init has more subprocesses (wild guess).

Even wilder guess: init starts a lot of processes whose parent process 
terminate while their children keep running. Perhaps the combination of 
this, the inherited handle and, possibly, user context switching becomes 
to much for poor old windows?

/dan

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/